io.vertx.core.http

## Enum HttpMethod

- java.lang.Object
- - java.lang.Enum<HttpMethod>
  - - io.vertx.core.http.HttpMethod

- All Implemented Interfaces:
    Serializable, Comparable<HttpMethod>

      public enum HttpMethod
      extends Enum<HttpMethod>

  Represents an HTTP method
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECT`
    `DELETE`
    `GET`
    `HEAD`
    `OPTIONS`
    `OTHER`
    `PATCH`
    `POST`
    `PUT`
    `TRACE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPTIONS

          public static final HttpMethod OPTIONS

    - #### GET

          public static final HttpMethod GET

    - #### HEAD

          public static final HttpMethod HEAD

    - #### POST

          public static final HttpMethod POST

    - #### PUT

          public static final HttpMethod PUT

    - #### DELETE

          public static final HttpMethod DELETE

    - #### TRACE

          public static final HttpMethod TRACE

    - #### CONNECT

          public static final HttpMethod CONNECT

    - #### PATCH

          public static final HttpMethod PATCH

    - #### OTHER

          public static final HttpMethod OTHER

  - ### Method Detail

    - #### values

          public static HttpMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpMethod c : HttpMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 Eclipse. All rights reserved.